Bug 735874 - Anaconda should inform about name of the user to unlock grub2
Summary: Anaconda should inform about name of the user to unlock grub2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide
Version: devel
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Petr Bokoc
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks: 737187
TreeView+ depends on / blocked
 
Reported: 2011-09-05 22:11 UTC by Marcin Zajaczkowski
Modified: 2013-07-29 15:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 737187 (view as bug list)
Environment:
Last Closed: 2013-07-29 15:26:03 UTC


Attachments (Terms of Use)

Description Marcin Zajaczkowski 2011-09-05 22:11:06 UTC
Description of problem:
Anaconda allows to set password for Grub. In Grub1 only password was required. Grub2 asks for a user name first. It works with "root", but it can be surprised for people using Grub1 earlier.

Anaconda could inform about user name for grub during the installation process.

Version-Release number of selected component (if applicable):
Version available in Fedora 16 Alpha

Comment 1 Chris Lumens 2011-09-09 19:32:24 UTC
This seems like the sort of thing that would be best discussed in either release notes or in documentation.

Comment 2 Jack Reed 2011-11-08 23:24:54 UTC
Thanks for reporting this, Marcin.

At the two points in the guide that address setting a bootloader password, I've explained that when that password is later required, a username will be as well. At your suggestion, I've said that the username should be the generic 'root'.

You can view the additions at the following links:

http://docs.fedoraproject.org/en-US/Fedora/16/html/Installation_Guide/s1-x86-bootloader.html

http://docs.fedoraproject.org/en-US/Fedora/16/html/Installation_Guide/s1-redhat-config-kickstart-bootloader.html

Cheers,

Jack

Comment 3 Marcin Zajaczkowski 2011-11-12 20:05:53 UTC
Looks good, thanks Jack.

Comment 4 Karsten Wade 2011-12-14 03:49:47 UTC
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!

Comment 5 Paul Bransford 2012-02-09 16:04:08 UTC
Just a note. On F16 at least, you can edit /etc/grub.d/01_users to change the username if you wish.

Comment 6 Jack Reed 2012-03-06 07:06:51 UTC
Thanks for the addition, Paul. 

Added in commit e336f84e67911a8485d537f5b059fdb5cbd90c5e for the F17 version of the guide.


Note You need to log in before you can comment on or make changes to this bug.